From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mail-filter/libspf2/files/, mail-filter/libspf2/
Date: Mon, 19 Apr 2021 19:12:44 +0000 (UTC) [thread overview]
Message-ID: <1618859536.7b4264a6530e16ad88d27ec2d0740e445155acba.sam@gentoo> (raw)
commit: 7b4264a6530e16ad88d27ec2d0740e445155acba
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 19 18:49:29 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 19:12:16 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b4264a6
mail-filter/libspf2: port to EAPI 7
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../libspf2/files/libspf2-1.2.10-gcc5.patch | 6 ++--
mail-filter/libspf2/libspf2-1.2.10.ebuild | 34 +++++++++++-----------
2 files changed, 19 insertions(+), 21 deletions(-)
diff --git a/mail-filter/libspf2/files/libspf2-1.2.10-gcc5.patch b/mail-filter/libspf2/files/libspf2-1.2.10-gcc5.patch
index d36ec96efd7..75b3fb899b3 100644
--- a/mail-filter/libspf2/files/libspf2-1.2.10-gcc5.patch
+++ b/mail-filter/libspf2/files/libspf2-1.2.10-gcc5.patch
@@ -1,10 +1,8 @@
https://github.com/shevek/libspf2/issues/13
https://bugs.gentoo.org/show_bug.cgi?id=570486
-Index: libspf2-1.2.10/src/include/spf_log.h
-===================================================================
---- libspf2-1.2.10/src/include/spf_log.h
-+++ libspf2-1.2.10/src/include/spf_log.h 2015-10-20 23:23:04.579055906 +0200
+--- a/src/include/spf_log.h
++++ b/src/include/spf_log.h
@@ -60,10 +60,10 @@
#if defined( __STDC_VERSION__ ) && __STDC_VERSION__ >= 199901L
diff --git a/mail-filter/libspf2/libspf2-1.2.10.ebuild b/mail-filter/libspf2/libspf2-1.2.10.ebuild
index 60192019535..d31bd24a451 100644
--- a/mail-filter/libspf2/libspf2-1.2.10.ebuild
+++ b/mail-filter/libspf2/libspf2-1.2.10.ebuild
@@ -1,8 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit autotools epatch
+EAPI=7
+
+inherit autotools
DESCRIPTION="libspf2 implements the Sender Policy Framework, a part of the SPF/SRS protocols"
HOMEPAGE="https://www.libspf2.org"
@@ -11,35 +12,34 @@ SRC_URI="https://www.libspf2.org/spf/libspf2-${PV}.tar.gz"
LICENSE="|| ( LGPL-2.1 BSD-2 )"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86"
-IUSE="static static-libs"
-DEPEND=""
RDEPEND="!dev-perl/Mail-SPF-Query"
-REQUIRED_USE="static? ( static-libs )"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-gcc5.patch #570486
+)
src_prepare() {
- if ! use static; then
- sed -i -e '/bin_PROGRAMS/s/spfquery_static//' src/spfquery/Makefile.am \
- -e '/bin_PROGRAMS/s/spftest_static//' src/spftest/Makefile.am \
- -e '/bin_PROGRAMS/s/spfd_static//' src/spfd/Makefile.am \
- -e '/bin_PROGRAMS/s/spf_example_static//' src/spf_example/Makefile.am \
- || die
- #eautoreconf
- fi
- epatch "${FILESDIR}"/${P}-gcc5.patch #570486
+ default
+
+ sed -i -e '/bin_PROGRAMS/s/spfquery_static//' src/spfquery/Makefile.am \
+ -e '/bin_PROGRAMS/s/spftest_static//' src/spftest/Makefile.am \
+ -e '/bin_PROGRAMS/s/spfd_static//' src/spfd/Makefile.am \
+ -e '/bin_PROGRAMS/s/spf_example_static//' src/spf_example/Makefile.am \
+ || die
sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac || die
+
eautoreconf
}
src_configure() {
- econf \
- $(use_enable static-libs static)
+ econf --disable-static
}
src_install() {
emake DESTDIR="${D}" install
dodoc README TODO INSTALL
- use static-libs || rm -f "${D}"/usr/lib*/libspf2.la
+ find "${ED}" -name '*.la' -delete || die
}
next reply other threads:[~2021-04-19 19:12 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-04-19 19:12 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-21 19:42 [gentoo-commits] repo/gentoo:master commit in: mail-filter/libspf2/files/, mail-filter/libspf2/ Fabian Groffen
2024-01-26 20:55 Fabian Groffen
2021-12-17 12:06 Fabian Groffen
2021-10-25 17:22 Fabian Groffen
2017-09-08 11:24 Fabian Groffen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1618859536.7b4264a6530e16ad88d27ec2d0740e445155acba.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox